Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: usermgmt::User Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
usermgmt::User Interface Reference

User interface More...

## Public Member Functions
UserInfo | getInfo ()
| Get user information. More...
int | setAccountPassword (in string password)
| Set the account password. More...
int | updateAccountFull (in string password, in UserInfo info)
| Update user information. More...
void | getInfoAndPrivileges (out UserInfo info, out vector< Role::Privilege > privileges)
| Get information and a list of granted privileges for a user. More...
int | setPreferences (in Preferences prefs)
| Sets the user preferences. More...
UserCapabilities | getCapabilities ()
| Gets the user capabilities. More...

## Public Attributes
constant int | ERR_PASSWORD_UNCHANGED = 1
| The new password must differ from the old password.
constant int | ERR_PASSWORD_EMPTY = 2
| The password must not be empty.
constant int | ERR_PASSWORD_TOO_SHORT = 3
| The password is too short.
constant int | ERR_PASSWORD_TOO_LONG = 4
| The password is too long.
constant int | ERR_PASSWORD_CTRL_CHARS = 5
| The password must not contain control characters.
constant int | ERR_PASSWORD_NEED_LOWER = 6
| The password must contain at least one lower-case character.
constant int | ERR_PASSWORD_NEED_UPPER = 7
| The password must contain at least one upper-case character.
constant int | ERR_PASSWORD_NEED_NUMERIC = 8
| The password must contain at least one numeric character.
constant int | ERR_PASSWORD_NEED_SPECIAL = 9
| The password must contain at least one special character.
constant int | ERR_PASSWORD_IN_HISTORY = 10
| The password is already in the password history.
constant int | ERR_PASSWORD_TOO_SHORT_FOR_SNMP = 11
| The password is too short to be used as SNMPv3 passphrase.
constant int | ERR_INVALID_ARGUMENT = 12
| Invalid arguments.
constant int | ERR_WRONG_PASSWORD = 13
| The passed-in password was wrong.
constant int | ERR_SSH_PUBKEY_DATA_TOO_LARGE = 14
| The ssh public key data is too large.
constant int | ERR_SSH_PUBKEY_INVALID = 15
| The ssh public key is invalid.
constant int | ERR_SSH_PUBKEY_NOT_SUPPORTED = 16
| The ssh public key is not supported.
constant int | ERR_SSH_RSA_PUBKEY_TOO_SHORT = 17
| The ssh RSA public key is too short.

## Detailed Description

User interface

## Member Function Documentation

## ◆ getCapabilities()

UserCapabilities usermgmt::User::getCapabilities | ( |  | ) |

Gets the user capabilities.

Returns
  capabilities

## ◆ getInfo()

UserInfo usermgmt::User::getInfo | ( |  | ) |

Get user information.

Returns
  User information

## ◆ getInfoAndPrivileges()

void usermgmt::User::getInfoAndPrivileges | ( | out UserInfo | info,
|  | out vector< Role::Privilege > | privileges
| ) |  |

Get information and a list of granted privileges for a user.

Parameters

  info | User information
  privileges | List of granted privileges

## ◆ setAccountPassword()

int usermgmt::User::setAccountPassword | ( | in string | password | ) |

Set the account password.

Parameters

  password | The new password

Returns
  0 OK
  1 The new password has to differ from old password.
  2 The password must not be empty.
  3 The password is too short.
  4 The password is too long.
  5 The password must not contain control characters.
  6 The password has to contain at least one lower case character.
  7 The password has to contain at least one upper case character.
  8 The password has to contain at least one numeric character.
  9 The password has to contain at least one printable special character.
  10 The password already is in history.
  11 SNMPv3 USM is activated for the user and the password shall be used as auth passphrase. For this case, the password is too short (must be at least 8 characters).

## ◆ setPreferences()

int usermgmt::User::setPreferences | ( | in Preferences | prefs | ) |

Sets the user preferences.

Parameters

  prefs | User Preferences

Returns
  0 OK
  ERR_INVALID_ARGUMENT An argument is invalid or out of range

## ◆ updateAccountFull()

int usermgmt::User::updateAccountFull | ( | in string | password,
|  | in UserInfo | info
| ) |  |

Update user information.

Parameters

  password | The new password; empty to leave unchanged
  info | The new user information

Returns
  0 OK
  1 The new password has to differ from old password.
  3 The password is too short.
  4 The password is too long.
  5 The password must not contain control characters.
  6 The password has to contain at least one lower case character.
  7 The password has to contain at least one upper case character.
  8 The password has to contain at least one numeric character.
  9 The password has to contain at least one printable special character.
  10 The password already is in history.
  11 SNMPv3 USM is activated for the user and the password shall be used as auth passphrase. For this case, the password is too short (must be at least 8 characters).
  12 An argument is invalid or out of range
  13 The password passed in as SNMPv3 authentication pass phrase was wrong.
  14 The ssh public key data is too large.
  15 The ssh public key is invalid.
  16 The ssh public key is not supported.
  17 The ssh RSA public key is too short.

The documentation for this interface was generated from the following file:

- User.idl